Catchable fatal error: Argument 1 passed to Flow\UrlGenerator::boardLink() must be an instance of Title, null given
Closed, ResolvedPublic

Description

Seems to only happen on svwiki for some reason. Apparently $event->getTitle() is null.

2015-09-21 11:33:14 mw1117 svwiki exception ERROR: [ce7c5d6f] /w/api.php?action=query&format=json&meta=notifications&notsections=alert%7Cmessage&notgroupbysection=1&notmessageunreadfirst=1&notformat=flyout&notlimit=25&notprop=index%7Clist%7Ccount&uselang=sv&_=1442835190661   EchoCatchableFatalErrorException from line 515 of /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/UrlGenerator.php: Catchable fatal error: Argument 1 passed to Flow\UrlGenerator::boardLink() must be an instance of Title, null given {"exception_id":"ce7c5d6f"} 
[Exception EchoCatchableFatalErrorException] (/srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/UrlGenerator.php:515) Catchable fatal error: Argument 1 passed to Flow\UrlGenerator::boardLink() must be an instance of Title, null given
  #0 /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/UrlGenerator.php(515): EchoNotificationController::formatterErrorHandler(integer, string, string, integer)
  #1 /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Notifications/Formatter.php(60): Flow\UrlGenerator->boardLink(NULL, string)
  #2 /srv/mediawiki/php-1.26wmf23/extensions/Flow/includes/Notifications/Formatter.php(244): Flow\NotificationFormatter->processParam(EchoEvent, string, Message, User)
  #3 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/formatters/BasicFormatter.php(647): Flow\NewTopicFormatter->processParam(EchoEvent, string, Message, User)
  #4 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/formatters/BasicFormatter.php(352): EchoBasicFormatter->processParams(array, EchoEvent, Message, User)
  #5 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/formatters/BasicFormatter.php(236): EchoBasicFormatter->formatFragment(array, EchoEvent, User)
  #6 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/formatters/BasicFormatter.php(198): EchoBasicFormatter->formatNotificationTitle(EchoEvent, User)
  #7 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/controller/NotificationController.php(376): EchoBasicFormatter->format(EchoEvent, User, string)
  #8 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/DataOutputFormatter.php(105): EchoNotificationController::formatNotification(EchoEvent, User, string)
  #9 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/api/ApiEchoNotifications.php(155): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User)
  #10 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/api/ApiEchoNotifications.php(94): ApiEchoNotifications->getPropList(User, array, integer, NULL, string, boolean)
  #11 /srv/mediawiki/php-1.26wmf23/extensions/Echo/includes/api/ApiEchoNotifications.php(30): ApiEchoNotifications->getSectionPropList(User, string, integer, NULL, string, boolean)
  #12 /srv/mediawiki/php-1.26wmf23/includes/api/ApiQuery.php(286): ApiEchoNotifications->execute()
  #13 /srv/mediawiki/php-1.26wmf23/includes/api/ApiMain.php(1270): ApiQuery->execute()
  #14 /srv/mediawiki/php-1.26wmf23/includes/api/ApiMain.php(466): ApiMain->executeAction()
  #15 /srv/mediawiki/php-1.26wmf23/includes/api/ApiMain.php(438): ApiMain->executeActionWithErrorHandling()
  #16 /srv/mediawiki/php-1.26wmf23/api.php(88): ApiMain->execute()
  #17 /srv/mediawiki/w/api.php(3): include(string)
  #18 {main}
Catrope created this task.Sep 21 2015, 11:26 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to Needs Triage.
Catrope added a subscriber: Catrope.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2015, 11:26 PM
Catrope triaged this task as High priority.Sep 22 2015, 5:50 PM
Catrope set Security to None.

Change 240382 had a related patch set uploaded (by Sbisson):
Log a warning when no title is given for parameter 'new-topics-permalink'

https://gerrit.wikimedia.org/r/240382

Change 240382 merged by jenkins-bot:
Log a warning when no title is given for parameter 'new-topics-permalink'

https://gerrit.wikimedia.org/r/240382

  1. @deployment-fluorine:~$ /a/mw-log/exception.log - does not have 'Catchable fatal error: Argument 1 passed ..'

2)Checked enwiki, cawiki, testwiki - events generating Echo notification with event_page_title NULL are regular thing.

[enwiki]> select distinct(event_type) from echo_event where event_page_title is  NULL;
+---------------------------------+
| event_type                      |
+---------------------------------+
| cx-first-translation            |
| cx-hundredth-translation        |
| edit-thank                      |
| edit-user-talk                  |
| flow-enabled-on-talkpage        |
| flow-mention                    |
| flow-new-topic                  |
| flow-post-edited                |
| flow-post-reply                 |
| flow-thank                      |
| flow-topic-renamed              |
| gather-hide                     |
| gather-unhide                   |
| gettingstarted-continue-editing |
| gettingstarted-start-editing    |
| mention                         |
| page-linked                     |
| pagetriage-add-maintenance-tag  |
| pagetriage-mark-as-reviewed     |
| reverted                        |
| user-rights                     |
| welcome                         |
+---------------------------------+
22 rows in set (0.42 sec)
DannyH closed this task as Resolved.Sep 30 2015, 5:17 PM
DannyH added a subscriber: DannyH.